CRYPTO_AHASH_INIT(9)

NAME
crypto_ahash_init - (re)initialize message digest handle

SYNOPSIS

int crypto_ahash_init(struct ahash_request * req);

ARGUMENTS

req
    ahash_request handle that already is initialized with all necessary data using the ahash_request_* API functions

DESCRIPTION

The call (re-)initializes the message digest referenced by the ahash_request handle. Any potentially existing state created by previous operations is discarded.

RETURN

0 if the message digest initialization was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT